import request from '../../utils/request'

export function getDict(data) {
  return request({
    url: '/xmYp/queryDict',
    method: 'post',
    data,
  })
}

export function doMatch(data) {
  return request({
    url: '/xmYp/doMatch',
    method: 'post',
    data,
  })
}

export function deleteMatchInfo(data) {
  return request({
    url: '/xmYp/deleteMatchInfo',
    method: 'post',
    data,
  })
}

export function fixWhitespaces(data) {
  return request({
    url: '/xmYp/fixWhitespaces',
    method: 'post',
    data,
  })
}

export function getXmFixHeadDics() {
  return request({
    url: '/xmYp/getHeadDics',
    method: 'get',
  })
}

export function getAllXm(data) {
  return request({
    url: '/xmYp/getAllXm',
    method: 'post',
    data,
  })
}

export function saveChanges(data) {
  return request({
    url: '/xmYp/saveChanges',
    method: 'post',
    data,
  })
}

export function synchronizeHnsybMatch(isGs) {
  return request({
    url: '/xmYp/synchronizeHnsybMatch',
    method: 'get',
    params: { isGs },
  })
}

export function getGongShangMuLu(name) {
  return request({
    url: '/xmYp/getGongShangMuLu',
    method: 'get',
    params: { name },
  })
}

export function shanChuGongShangMuLu(data) {
  return request({
    url: '/xmYp/shanChuGongShangMuLu',
    method: 'post',
    data,
  })
}
